Katalon Studio v5.8 - It's time for the all-new API testing experience
Matthew Miyares
Katalon Apprentice
08/09/2018

Unable to run Chrome Test Script in Linux (Katalon Studio 5.6.0)

Attempting to run my test script through the Ubuntu Command line using the Chrome browser resulted in the following:
08-09-2018 07:47:52 PM - [FAILED] - Unable to open browser with url: 'http://portal.demo.caads.biz/' (Root cause: org.openqa.selenium.WebDriverException: unknown error: Chrome failed to start: exited abnormally
  (Driver info: chromedriver=2.35.528139 (47ead77cb35ad2a9a83248b292151462a66cd881),platform=Linux 4.4.0-1061-aws x86_64) (WARNING: The server did not provide any stacktrace information)
Command duration or timeout: 60.07 seconds
Build info: version: '3.7.1', revision: '8a0099a', time: '2017-11-06T21:07:36.161Z'
System info: host: 'ip-172-31-23-148', ip: '172.31.23.148', os.name: 'Linux', os.arch: 'amd64', os.version: '4.4.0-1061-aws', java.version: '1.8.0_171'
Driver info: driver.version: CChromeDriver)
08-09-2018 07:47:52 PM - [END]    - End action : openBrowser
08-09-2018 07:47:52 PM - [FAILED] - Test Cases/AWS Demo UI FAILED because (of) Unable to open browser with url: 'http://portal.demo.caads.biz/' (Root cause: org.openqa.selenium.WebDriverException: unknown error: Chrome failed to start: exited abnormally
  (Driver info: chromedriver=2.35.528139 (47ead77cb35ad2a9a83248b292151462a66cd881),platform=Linux 4.4.0-1061-aws x86_64) (WARNING: The server did not provide any stacktrace information)
Command duration or timeout: 60.07 seconds
Build info: version: '3.7.1', revision: '8a0099a', time: '2017-11-06T21:07:36.161Z'
System info: host: 'ip-172-31-23-148', ip: '172.31.23.148', os.name: 'Linux', os.arch: 'amd64', os.version: '4.4.0-1061-aws', java.version: '1.8.0_171'
Driver info: driver.version: CChromeDriver)
08-09-2018 07:47:52 PM - [END]    - End Test Case : Test Cases/AWS Demo UI
08-09-2018 07:47:52 PM - [END]    - End Test Suite : Test Suites/AWS Demo

I noticed the Chromedriver wasn't the latest version (2.35 vs 2.41); I replaced the older file with the newest version, but Katalon wasn't able to run it.

Any help?
Upvote
Quote

Comments

Sign In or Register to comment.
Not the answer you're looking for? Consider subscribing to Business support.